%global with_xrootd %{!?_without_xrootd:1}%{?_without_xrootd:0}

%global with_python2 0

%global with_python3 1

%global with_pylint %{!?_without_pylint:1}%{?_without_pylint:0}

%global py3default 1

%if %{?fedora}%{!?fedora:0} >= 35 || %{?rhel}%{!?rhel:0} == 9
%global with_acix 0
%else
%global with_acix 1
%endif

%global with_s3 1

%global with_gfal 1

%global with_xmlsec1 %{!?_without_xmlsec1:1}%{?_without_xmlsec1:0}

%if %{?rhel}%{!?rhel:0} == 9
%global with_pythonlrms 0
%else
%global with_pythonlrms 1
%endif

%global with_ldns 1

%global use_systemd 1

%global with_ldap_service 1

%global pkgdir arc

%global _bashcompdir %(pkg-config --variable=completionsdir bash-completion 2>/dev/null || echo %{_sysconfdir}/bash_completion.d)

Name:		nordugrid-arc6
Version:	6.20.1
Release:	3%{?dist}
Summary:	Advanced Resource Connector Middleware
#		Apache-2.0: most files
#		CPL-1.0: src/services/acix/core/hashes.py
#		MIT: src/external/cJSON/cJSON.c src/external/cJSON/cJSON.h
License:	Apache-2.0 AND CPL-1.0 AND MIT
URL:		http://www.nordugrid.org/
Source:		http://download.nordugrid.org/packages/nordugrid-arc/releases/%{version}/src/nordugrid-arc-%{version}.tar.gz

Provides:	nordugrid-arc = %{version}-%{release}
Obsoletes:	nordugrid-arc < 7.0.0~
Conflicts:	nordugrid-arc7
%if ! %{with_python2}
Obsoletes:	python2-nordugrid-arc < 7.0.0~
Obsoletes:	python2-%{name} < %{version}-%{release}
%endif
%if ! %{with_ldap_service}
Obsoletes:	nordugrid-arc-infosys-ldap < 7.0.0~
Obsoletes:	%{name}-infosys-ldap < %{version}-%{release}
%endif
%if ! %{with_acix}
Obsoletes:	nordugrid-arc-acix-core < 7.0.0~
Obsoletes:	nordugrid-arc-acix-scanner < 7.0.0~
Obsoletes:	nordugrid-arc-acix-index < 7.0.0~
Obsoletes:	%{name}-acix-core < %{version}-%{release}
Obsoletes:	%{name}-acix-scanner < %{version}-%{release}
Obsoletes:	%{name}-acix-index < %{version}-%{release}
%endif

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	gcc-c++
BuildRequires:	cppunit-devel
BuildRequires:	pkgconfig
%if %{use_systemd}
BuildRequires:	systemd
BuildRequires:	systemd-devel
%endif
BuildRequires:	libuuid-devel
BuildRequires:	gettext-devel
%if %{with_python2}
BuildRequires:	python2-devel
%endif
%if %{with_python3}
BuildRequires:	python%{python3_pkgversion}-devel
%endif
%if %{with_pylint}
BuildRequires:	pylint
%endif
BuildRequires:	glibmm24-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl
BuildRequires:	openssl-devel
%if %{with_xmlsec1}
BuildRequires:	xmlsec1-devel >= 1.2.4
BuildRequires:	xmlsec1-openssl-devel >= 1.2.4
%endif
BuildRequires:	nss-devel
BuildRequires:	openldap-devel
BuildRequires:	globus-common-devel
BuildRequires:	globus-ftp-client-devel
BuildRequires:	globus-ftp-control-devel
BuildRequires:	globus-gssapi-gsi-devel >= 12.2
%if %{with_xrootd}
BuildRequires:	xrootd-client-devel >= 1:4.5.0
%endif
%if %{with_gfal}
BuildRequires:	gfal2-devel
%endif
%if %{with_s3}
BuildRequires:	libs3-devel
%endif
BuildRequires:	libdb-cxx-devel
BuildRequires:	perl-generators
# Needed for Boinc backend testing during make check
BuildRequires:	perl(DBI)
# Needed for infoprovider testing during make check
BuildRequires:	perl(English)
BuildRequires:	perl(JSON::XS)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(XML::Simple)
# Needed for LRMS testing during make check
BuildRequires:	perl(Test::Harness)
BuildRequires:	perl(Test::Simple)
# Needed to run ACIX unit tests
%if %{with_acix}
%if %{py3default}
BuildRequires:	python3-twisted
BuildRequires:	python3-pyOpenSSL
%else
BuildRequires:	python2-twisted
BuildRequires:	python2-pyOpenSSL
%endif
%endif
BuildRequires:	swig
BuildRequires:	libtool-ltdl-devel
%if %{with_pythonlrms}
BuildRequires:	perl(Inline)
BuildRequires:	perl(Inline::Python)
%endif
BuildRequires:	sqlite-devel >= 3.6
%if %{with_ldns}
BuildRequires:	ldns-devel >= 1.6.8
%endif
BuildRequires:	pkgconfig(bash-completion)
Requires:	hostname
Requires:	openssl

%description
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The ARC middleware is a software solution that uses distributed
computing technologies to enable sharing and federation of computing
resources across different administrative and application domains.
ARC is used to create distributed infrastructures of various scope and
complexity, from campus to national and global deployments.

%package client
Provides:	nordugrid-arc-client = %{version}-%{release}
Obsoletes:	nordugrid-arc-client < 7.0.0~
Conflicts:	nordugrid-arc7-client
Summary:	ARC command line clients
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-needed = %{version}-%{release}

%description client
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This client package contains all the CLI tools that are needed to
operate with x509 proxies, submit and manage jobs and handle data
transfers.

%package hed
Provides:	nordugrid-arc-hed = %{version}-%{release}
Obsoletes:	nordugrid-arc-hed < 7.0.0~
Conflicts:	nordugrid-arc7-hed
Summary:	ARC Hosting Environment Daemon
Requires:	%{name} = %{version}-%{release}

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description hed
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The ARC Hosting Environment Daemon (HED) is a Web Service container
for ARC services.

%package gridftpd
Provides:	nordugrid-arc-gridftpd = %{version}-%{release}
Obsoletes:	nordugrid-arc-gridftpd < 7.0.0~
Summary:	ARC gridftp server
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-globus-common = %{version}-%{release}
Requires:	%{name}-plugins-gridftp = %{version}-%{release}
Requires:	%{name}-arcctl-service = %{version}-%{release}
Requires:	logrotate

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description gridftpd
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the ARC gridftp server which can be used as a
custom job submission interface in front of an ARC enabled computing
cluster or as a low-level dedicated gridftp file server.

%package datadelivery-service
Provides:	nordugrid-arc-datadelivery-service = %{version}-%{release}
Obsoletes:	nordugrid-arc-datadelivery-service < 7.0.0~
Conflicts:	nordugrid-arc7-datadelivery-service
Summary:	ARC data delivery service
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-hed = %{version}-%{release}
Requires:	%{name}-plugins-needed = %{version}-%{release}
Requires:	%{name}-arcctl-service = %{version}-%{release}
Requires:	logrotate

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description datadelivery-service
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the ARC data delivery service.

%if %{with_ldap_service}
%package infosys-ldap
Provides:	nordugrid-arc-infosys-ldap = %{version}-%{release}
Obsoletes:	nordugrid-arc-infosys-ldap < 7.0.0~
Conflicts:	nordugrid-arc7-infosys-ldap
Summary:	ARC LDAP-based information services
BuildArch:	noarch
Requires:	openldap-servers
Requires:	bdii
Requires:	glue-schema >= 2.0.10
Requires:	%{name}-arcctl-service = %{version}-%{release}
Requires:	logrotate

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif
Requires(post):		policycoreutils-python-utils
Requires(postun):	policycoreutils-python-utils

%description infosys-ldap
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the ARC information services relying on BDII and
LDAP technologies to publish ARC CE information according to various
LDAP schemas. Please note that the information collectors are part of
another package, the nordugrid-arc-arex.
%endif

%package monitor
Provides:	nordugrid-arc-monitor = %{version}-%{release}
Obsoletes:	nordugrid-arc-monitor < 7.0.0~
Conflicts:	nordugrid-arc7-monitor
Summary:	ARC LDAP monitor web application
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	php
Requires:	php-gd
Requires:	php-ldap

%description monitor
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the PHP web application that is used to set up a
web-based monitor which pulls information from the LDAP information
system and visualizes it.

%package arcctl
Provides:	nordugrid-arc-arcctl = %{version}-%{release}
Obsoletes:	nordugrid-arc-arcctl < 7.0.0~
Conflicts:	nordugrid-arc7-arcctl
Summary:	ARC Control Tool
Requires:	%{name} = %{version}-%{release}

%description arcctl
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the ARC Control Tool with basic set of control
modules suitable for both server and client side.

%package arcctl-service
Provides:	nordugrid-arc-arcctl-service = %{version}-%{release}
Obsoletes:	nordugrid-arc-arcctl-service < 7.0.0~
Conflicts:	nordugrid-arc7-arcctl-service
Summary:	ARC Control Tool - service control modules
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-arcctl = %{version}-%{release}

%description arcctl-service
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the service control modules for ARC Contol Tool
that allow working with server-side config and manage ARC services.

%package arex
Provides:	nordugrid-arc-arex = %{version}-%{release}
Obsoletes:	nordugrid-arc-arex < 7.0.0~
Conflicts:	nordugrid-arc7-arex
Summary:	ARC Resource-coupled EXecution service
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-hed = %{version}-%{release}
Requires:	%{name}-plugins-needed = %{version}-%{release}
Requires:	%{name}-arcctl-service = %{version}-%{release}
Requires:	logrotate

Requires(post):		%{name}-arcctl = %{version}-%{release}
Requires(preun):	%{name}-arcctl = %{version}-%{release}
Requires(post):		hostname
Requires(post):		openssl
%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description arex
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The ARC Resource-coupled EXecution service (AREX) is the Computing
Element of the ARC middleware. AREX offers a full-featured middle
layer to manage computational tasks including interfacing to local
batch systems, taking care of complex environments such as data
staging, data caching, software environment provisioning, information
collection and exposure, accounting information gathering and
publishing.

%if %{with_pythonlrms}
%package arex-python-lrms
Provides:	nordugrid-arc-arex-python-lrms = %{version}-%{release}
Obsoletes:	nordugrid-arc-arex-python-lrms < 7.0.0~
Summary:	ARC Resource-coupled EXecution service - Python LRMS backends
Requires:	%{name}-arex = %{version}-%{release}
%if %{py3default}
Requires:	python%{python3_pkgversion}-%{name} = %{version}-%{release}
%else
Requires:	python2-%{name} = %{version}-%{release}
%endif
Requires:	perl(Inline)
Requires:	perl(Inline::Python)

%description arex-python-lrms
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The Python LRMS backends are a new implementation of the AREX LRMS
backend scripts written in Python. Currently only the SLURM LRMS is
supported. It is released as a technology preview.
%endif

%package community-rtes
Provides:	nordugrid-arc-community-rtes = %{version}-%{release}
Obsoletes:	nordugrid-arc-community-rtes < 7.0.0~
Conflicts:	nordugrid-arc7-community-rtes
Summary:	ARC community defined RTEs support
Requires:	%{name}-arex = %{version}-%{release}
Requires:	%{name}-arcctl = %{version}-%{release}
Requires:	gnupg2
%if %{py3default}
Requires:	python3-dns
%else
Requires:	python2-dns
%endif

%description community-rtes
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Community RTEs is the framework that allows deploying software packages
(tarballs, containers, etc) provided by trusted communities to ARC CE
using simple arcctl commands.
It is released as a technology preview.

%package plugins-needed
Provides:	nordugrid-arc-plugins-needed = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-needed < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-needed
Summary:	ARC base plugins
Requires:	%{name} = %{version}-%{release}

%description plugins-needed
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC base plugins. This includes the Message Chain Components (MCCs)
and Data Manager Components (DMCs).

%package plugins-globus
Provides:	nordugrid-arc-plugins-globus = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-globus < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-globus
Summary:	ARC Globus plugins (compat)
Requires:	%{name}-plugins-gridftp = %{version}-%{release}
Requires:	%{name}-plugins-gridftpjob = %{version}-%{release}
Requires:	%{name}-plugins-lcas-lcmaps = %{version}-%{release}

%description plugins-globus
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC Globus plugins. This compat metapackage brings all Globus dependent
plugins at once, including: Data Manager Components (DMCs), Client plugin
and LCAS/LCMAPS tools.

This package is meant to allow smooth transition and will be removed from
the upcoming releases.

%package plugins-globus-common
Provides:	nordugrid-arc-plugins-globus-common = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-globus-common < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-globus-common
Summary:	ARC Globus plugins common libraries
Requires:	%{name} = %{version}-%{release}

%description plugins-globus-common
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC Globus plugins common libraries package includes the bundle of
necessary Globus libraries needed for all other globus-dependent ARC
components.

%package plugins-gridftp
Provides:	nordugrid-arc-plugins-gridftp = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-gridftp < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-gridftp
Summary:	ARC Globus dependent DMCs
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-globus-common = %{version}-%{release}

%description plugins-gridftp
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC Globus GridFTP plugins. These allow access to data through the
gridftp protocol.

%package plugins-lcas-lcmaps
Provides:	nordugrid-arc-plugins-lcas-lcmaps = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-lcas-lcmaps < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-lcas-lcmaps
Summary:	ARC LCAS/LCMAPS plugins
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-globus-common = %{version}-%{release}
Requires:	globus-gssapi-gsi >= 12.2

%description plugins-lcas-lcmaps
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC LCAS/LCMAPS tools allow configuring ARC CE to use LCAS/LCMAPS
services for authorization and mapping.

%package plugins-gridftpjob
Provides:	nordugrid-arc-plugins-gridftpjob = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-gridftpjob < 7.0.0~
Summary:	ARC GRIDFTPJOB client plugin
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-globus-common = %{version}-%{release}
Requires:	%{name}-plugins-gridftp = %{version}-%{release}

%description plugins-gridftpjob
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC GRIDFTPJOB plugin allows submitting jobs via the gridftpd interface.

%if %{with_xrootd}
%package plugins-xrootd
Provides:	nordugrid-arc-plugins-xrootd = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-xrootd < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-xrootd
Summary:	ARC xrootd plugins
Requires:	%{name} = %{version}-%{release}

%description plugins-xrootd
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC xrootd plugins. These allow access to data through the xrootd
protocol.
%endif

%if %{with_gfal}
%package plugins-gfal
Provides:	nordugrid-arc-plugins-gfal = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-gfal < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-gfal
Summary:	ARC GFAL2 plugins
Requires:	%{name} = %{version}-%{release}

%description plugins-gfal
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC plugins for GFAL2. This allows third-party transfer and adds
support for several extra transfer protocols (rfio, dcap, gsidcap).
Support for specific protocols is provided by separate 3rd-party GFAL2
plugin packages.
%endif

%if %{with_s3}
%package plugins-s3
Provides:	nordugrid-arc-plugins-s3 = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-s3 < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-s3
Summary:	ARC S3 plugins
Requires:	%{name} = %{version}-%{release}

%description plugins-s3
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC plugins for S3. These allow access to data through the S3
protocol.
%endif

%package plugins-internal
Provides:	nordugrid-arc-plugins-internal = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-internal < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-internal
Summary:	ARC internal plugin
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-arex = %{version}-%{release}

%description plugins-internal
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

The ARC internal plugin. A special interface aimed for restrictive HPC
sites, to be used with a local installation of the ARC Control Tower.

%package plugins-arcrest
Provides:	nordugrid-arc-plugins-arcrest = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-arcrest < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-needed
Summary:	ARC REST plugin
Requires:	%{name} = %{version}-%{release}

%description plugins-arcrest
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC plugin for ARC REST interface technology preview.

%package plugins-python
Provides:	nordugrid-arc-plugins-python = %{version}-%{release}
Obsoletes:	nordugrid-arc-plugins-python < 7.0.0~
Conflicts:	nordugrid-arc7-plugins-python
Summary:	ARC Python dependent plugin
Requires:	%{name} = %{version}-%{release}
%if %{py3default}
Requires:	python%{python3_pkgversion}-%{name} = %{version}-%{release}
%else
Requires:	python2-%{name} = %{version}-%{release}
%endif

%description plugins-python
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

ARC plugins dependent on Python.

%if %{with_acix}
%package acix-core
Provides:	nordugrid-arc-acix-core = %{version}-%{release}
Obsoletes:	nordugrid-arc-acix-core < 7.0.0~
Summary:	ARC cache index - core
BuildArch:	noarch
%if %{py3default}
Requires:	python3-twisted
Requires:	python3-pyOpenSSL
%else
Requires:	python2-twisted
Requires:	python2-pyOpenSSL
%endif

%description acix-core
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Core components of the ARC Cache Index (ACIX).

%package acix-scanner
Provides:	nordugrid-arc-acix-scanner = %{version}-%{release}
Obsoletes:	nordugrid-arc-acix-scanner < 7.0.0~
Summary:	ARC cache index - scanner server
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-acix-core = %{version}-%{release}
Requires:	%{name}-arcctl-service = %{version}-%{release}

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description acix-scanner
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Cache scanner component of the ARC Cache Index (ACIX), usually
installed alongside A-REX. This component collects information on the
content of an A-REX cache.

%package acix-index
Provides:	nordugrid-arc-acix-index = %{version}-%{release}
Obsoletes:	nordugrid-arc-acix-index < 7.0.0~
Summary:	ARC cache index - index server
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-acix-core = %{version}-%{release}
Requires:	%{name}-arcctl-service = %{version}-%{release}

%if %{use_systemd}
%{?systemd_requires}
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

%description acix-index
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Index server component of the ARC Cache Index (ACIX), usually
installed independently of any A-REX installation. This component
pulls cache content from ACIX cache scanner servers and can be queried
by clients for the location of cached files.
%endif

%package devel
Provides:	nordugrid-arc-devel = %{version}-%{release}
Obsoletes:	nordugrid-arc-devel < 7.0.0~
Conflicts:	nordugrid-arc7-devel
Summary:	ARC development files
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm24-devel
Requires:	glib2-devel
Requires:	libxml2-devel
Requires:	openssl-devel

%description devel
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Header files and libraries needed to develop applications using ARC.

%if %{with_python2}
%package -n python2-%{name}
Provides:	python2-nordugrid-arc = %{version}-%{release}
Obsoletes:	python2-nordugrid-arc < 7.0.0~
Summary:	ARC Python 2 wrapper
%{?python_provide:%python_provide python2-%{name}}
Requires:	%{name} = %{version}-%{release}

%description -n python2-%{name}
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Python 2 bindings for ARC.
%endif

%if %{with_python3}
%package -n python%{python3_pkgversion}-%{name}
Provides:	python%{python3_pkgversion}-nordugrid-arc = %{version}-%{release}
Obsoletes:	python%{python3_pkgversion}-nordugrid-arc < 7.0.0~
Conflicts:	python%{python3_pkgversion}-nordugrid-arc7
Summary:	ARC Python 3 wrapper
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}
Requires:	%{name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{name}
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

Python 3 bindings for ARC.
%endif

%package nordugridmap
Provides:	nordugrid-arc-nordugridmap = %{version}-%{release}
Obsoletes:	nordugrid-arc-nordugridmap < 7.0.0~
Summary:	ARC's nordugridmap tool
BuildArch:	noarch
Requires:	crontabs

%description nordugridmap
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

A simple tool to fetch list of users and eventually generate gridmap
files.

%package test-utils
Provides:	nordugrid-arc-test-utils = %{version}-%{release}
Obsoletes:	nordugrid-arc-test-utils < 7.0.0~
Conflicts:	nordugrid-arc7-test-utils
Summary:	ARC test tools
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-plugins-needed = %{version}-%{release}

%description test-utils
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains a few utilities useful to test various ARC
subsystems. The package is not required by users or sysadmins and it
is mainly for developers.

%package archery-manage
Provides:	nordugrid-arc-archery-manage = %{version}-%{release}
Obsoletes:	nordugrid-arc-archery-manage < 7.0.0~
Conflicts:	nordugrid-arc7-archery-manage
Summary:	ARCHERY administration tool
BuildArch:	noarch
%if %{py3default}
Requires:	python3-dns
Requires:	python3-ldap
%else
Requires:	python2-dns
Requires:	python2-ldap
%endif

%description archery-manage
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the archery-manage utility for administration of
an ARCHERY DNS-embedded service endpoint registry.

%package wn
Provides:	nordugrid-arc-wn = %{version}-%{release}
Obsoletes:	nordugrid-arc-wn < 7.0.0~
Conflicts:	nordugrid-arc7-wn
Summary:	ARC optional worker nodes components

%description wn
NorduGrid is a collaboration aiming at development, maintenance and
support of the middleware, known as the Advanced Resource
Connector (ARC).

This package contains the optional components that provide new job
management features on the worker nodes (WN).

%prep
%setup -q -n nordugrid-arc-%{version}

%build
autoreconf -v -f -i

%configure --disable-static \
%if ! %{with_acix}
     --disable-acix \
%endif
%if %{with_gfal}
     --enable-gfal \
%endif
%if %{with_s3}
     --enable-s3 \
%endif
%if %{py3default}
     --with-python=python3 \
%if %{with_python2}
     --with-altpython=python2 \
%endif
%else
     --with-python=python2 \
%if %{with_python3}
     --with-altpython=python3 \
%endif
%endif
%if ! %{with_pylint}
     --disable-pylint \
%endif
%if ! %{with_xrootd}
     --disable-xrootd \
%endif
%if %{with_pythonlrms}
     --with-inline-python \
%endif
%if ! %{with_ldns}
     --disable-ldns \
%endif
     --enable-internal \
%if %{use_systemd}
     --enable-systemd \
     --with-systemd-units-location=%{_unitdir} \
%endif
%if ! %{with_ldap_service}
     --disable-ldap-service \
%endif
     --disable-doc \
     --docdir=%{_pkgdocdir}

%make_build

%check
%make_build check

%install
%make_install

# Install Logrotate.
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -p -m 644 debian/nordugrid-arc-arex.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/nordugrid-arc-arex
install -p -m 644 debian/nordugrid-arc-gridftpd.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/nordugrid-arc-gridftpd
%if %{with_ldap_service}
install -p -m 644 debian/nordugrid-arc-infosys-ldap.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/nordugrid-arc-infosys-ldap
%endif
install -p -m 644 debian/nordugrid-arc-datadelivery-service.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/nordugrid-arc-datadelivery-service

find %{buildroot} -type f -name \*.la -exec rm -fv '{}' ';'

# libarcglobusutils is not part of the ARC api.
find %{buildroot} -name libarcglobusutils.so -exec rm -fv '{}' ';'

%if ! %{use_systemd}
# Turn off default enabling of the services
sed -e 's/\(chkconfig: \) *[^ ]*/\1-/' \
    -e '/Default-Start/d' \
    -e 's/\(Default-Stop:\s*\).*/\10 1 2 3 4 5 6/' \
    -i %{buildroot}%{_initrddir}/*
%endif

# Create log directory
mkdir -p %{buildroot}%{_localstatedir}/log/arc

# Create spool directories for Jura
mkdir -p %{buildroot}%{_localstatedir}/spool/arc
mkdir -p %{buildroot}%{_localstatedir}/spool/arc/ssm
mkdir -p %{buildroot}%{_localstatedir}/spool/arc/urs

%find_lang nordugrid-arc

# Remove examples and let RPM package them under /usr/share/doc using the doc macro
rm -rf %{buildroot}%{_datadir}/%{pkgdir}/examples
make -C src/libs/data-staging/examples	DESTDIR=$PWD/docdir/devel  pkgdatadir= install-exampleDATA
make -C src/hed/libs/compute/examples	DESTDIR=$PWD/docdir/devel  pkgdatadir= install-exampleDATA
make -C src/hed/libs/data/examples	DESTDIR=$PWD/docdir/devel  pkgdatadir= install-exampleDATA
make -C src/hed/acc/PythonBroker	DESTDIR=$PWD/docdir/python pkgdatadir= install-exampleDATA
make -C python/examples			DESTDIR=$PWD/docdir/devel  pkgdatadir= install-exampleDATA
make -C src/tests/echo			DESTDIR=$PWD/docdir/hed	   pkgdatadir= install-exampleDATA
make -C src/hed				DESTDIR=$PWD/docdir/hed	   pkgdatadir= install-profileDATA

# client.conf needs special handling
make -C src/clients DESTDIR=%{buildroot} install-exampleDATA

# Link to client.conf from doc
ln -s %{_datadir}/%{pkgdir}/examples/client.conf $PWD/docdir/client.conf

%if %{use_systemd}

%global systemd_save_state() %{expand:\
if systemctl -q is-enabled %{1} ; then\
  touch %{_localstatedir}/lib/rpm-state/%{1}-enabled\
fi\
if systemctl -q is-active %{1} ; then\
  touch %{_localstatedir}/lib/rpm-state/%{1}-active\
fi\
}

%global systemd_pkg_namechange() %{expand:\
touch %{_localstatedir}/lib/rpm-state/%{1}-namechange\
}

%global systemd_restore_state() %{expand:\
if [ -r %{_localstatedir}/lib/rpm-state/%{1}-namechange ] ; then\
  systemctl daemon-reload\
  if [ -r %{_localstatedir}/lib/rpm-state/%{1}-enabled ] ; then\
    systemctl enable %{1}\
  fi\
  if [ -r %{_localstatedir}/lib/rpm-state/%{1}-active ] ; then\
    systemctl start %{1}\
  fi\
fi\
rm -f %{_localstatedir}/lib/rpm-state/%{1}-{enabled,active,namechange}\
}

%endif

%if %{use_systemd}

%post hed
%systemd_post arched.service

%preun hed
%systemd_preun arched.service

%postun hed
%systemd_postun_with_restart arched.service

%pre hed
%systemd_save_state arched.service

%triggerin hed -- nordugrid-arc-hed
%systemd_pkg_namechange arched.service

%posttrans hed
%systemd_restore_state arched.service

%else

%post hed
/sbin/chkconfig --add arched

%preun hed
if [ $1 -eq 0 ]; then
  service arched stop > /dev/null 2>&1
  /sbin/chkconfig --del arched
fi

%postun hed
if [ $1 -ge 1 ]; then
  service arched condrestart > /dev/null 2>&1
fi

%endif

%if %{use_systemd}

%post arex
%systemd_post arc-arex.service
%systemd_post arc-arex-ws.service

# out-of-package testing host certificate
if [ $1 -eq 1 ]; then
  arcctl test-ca init > /dev/null 2>&1 || :
  arcctl test-ca hostcert > /dev/null 2>&1 || :
fi

%preun arex
%systemd_preun arc-arex.service
%systemd_preun arc-arex-ws.service

if [ $1 -eq 0 ]; then
  arcctl test-ca cleanup
fi

%postun arex
%systemd_postun_with_restart arc-arex.service
%systemd_postun_with_restart arc-arex-ws.service

%pre arex
%systemd_save_state arc-arex.service
%systemd_save_state arc-arex-ws.service

%triggerin arex -- nordugrid-arc-arex
%systemd_pkg_namechange arc-arex.service
%systemd_pkg_namechange arc-arex-ws.service

%posttrans arex
%systemd_restore_state arc-arex.service
%systemd_restore_state arc-arex-ws.service

%else

%post arex
/sbin/chkconfig --add arc-arex
/sbin/chkconfig --add arc-arex-ws

# out-of-package testing host certificate
if [ $1 -eq 1 ]; then
  arcctl test-ca init > /dev/null 2>&1 || :
  arcctl test-ca hostcert > /dev/null 2>&1 || :
fi

%preun arex
if [ $1 -eq 0 ]; then
  service arc-arex stop > /dev/null 2>&1
  service arc-arex-ws stop > /dev/null 2>&1
  /sbin/chkconfig --del arc-arex
  /sbin/chkconfig --del arc-arex-ws
fi

if [ $1 -eq 0 ]; then
  arcctl test-ca cleanup
fi

%postun arex
if [ $1 -ge 1 ]; then
  service arc-arex condrestart > /dev/null 2>&1
  service arc-arex-ws condrestart > /dev/null 2>&1
fi

%endif

%if %{use_systemd}

%post gridftpd
%systemd_post arc-gridftpd.service

%preun gridftpd
%systemd_preun arc-gridftpd.service

%postun gridftpd
%systemd_postun_with_restart arc-gridftpd.service

%pre gridftpd
%systemd_save_state arc-gridftpd.service

%triggerin gridftpd -- nordugrid-arc-gridftpd
%systemd_pkg_namechange arc-gridftpd.service

%posttrans gridftpd
%systemd_restore_state arc-gridftpd.service

%else

%post gridftpd
/sbin/chkconfig --add arc-gridftpd

%preun gridftpd
if [ $1 -eq 0 ]; then
  service arc-gridftpd stop > /dev/null 2>&1
  /sbin/chkconfig --del arc-gridftpd
fi

%postun gridftpd
if [ $1 -ge 1 ]; then
  service arc-gridftpd condrestart > /dev/null 2>&1
fi

%endif

%if %{use_systemd}

%post datadelivery-service
%systemd_post arc-datadelivery-service.service

%preun datadelivery-service
%systemd_preun arc-datadelivery-service.service

%postun datadelivery-service
%systemd_postun_with_restart arc-datadelivery-service.service

%pre datadelivery-service
%systemd_save_state arc-datadelivery-service.service

%triggerin datadelivery-service -- nordugrid-arc-datadelivery-service
%systemd_pkg_namechange arc-datadelivery-service.service

%posttrans datadelivery-service
%systemd_restore_state arc-datadelivery-service.service

%else

%post datadelivery-service
/sbin/chkconfig --add arc-datadelivery-service

%preun datadelivery-service
if [ $1 -eq 0 ]; then
  service arc-datadelivery-service stop > /dev/null 2>&1
  /sbin/chkconfig --del arc-datadelivery-service
fi

%postun datadelivery-service
if [ $1 -ge 1 ]; then
  service arc-datadelivery-service condrestart > /dev/null 2>&1
fi

%endif

%if %{with_ldap_service}

%if %{use_systemd}

%post infosys-ldap
%systemd_post arc-infosys-ldap.service
semanage port -a -t ldap_port_t -p tcp 2135 2>/dev/null || :
semanage fcontext -a -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :
semanage fcontext -a -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
semanage fcontext -a -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :

%preun infosys-ldap
%systemd_preun arc-infosys-ldap.service

%postun infosys-ldap
%systemd_postun_with_restart arc-infosys-ldap.service
if [ $1 -eq 0 ]; then
  semanage port -d -t ldap_port_t -p tcp 2135 2>/dev/null || :
  semanage fcontext -d -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :
  semanage fcontext -d -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
  semanage fcontext -d -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :
fi

%pre infosys-ldap
%systemd_save_state arc-infosys-ldap.service

%triggerin infosys-ldap -- nordugrid-arc-infosys-ldap
%systemd_pkg_namechange arc-infosys-ldap.service

%posttrans infosys-ldap
%systemd_restore_state arc-infosys-ldap.service

%triggerun infosys-ldap -- bdii
systemctl try-restart arc-infosys-ldap.service > /dev/null 2>&1 || :

%else

%post infosys-ldap
/sbin/chkconfig --add arc-infosys-ldap
semanage port -a -t ldap_port_t -p tcp 2135 2>/dev/null || :
semanage fcontext -a -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :
semanage fcontext -a -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
semanage fcontext -a -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :

%preun infosys-ldap
if [ $1 -eq 0 ]; then
  service arc-infosys-ldap stop > /dev/null 2>&1
  /sbin/chkconfig --del arc-infosys-ldap
fi

%postun infosys-ldap
if [ $1 -ge 1 ]; then
  service arc-infosys-ldap condrestart > /dev/null 2>&1
fi
if [ $1 -eq 0 ]; then
  semanage port -d -t ldap_port_t -p tcp 2135 2>/dev/null || :
  semanage fcontext -d -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :
  semanage fcontext -d -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
  semanage fcontext -d -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :
fi

%triggerun infosys-ldap -- bdii
service arc-infosys-ldap condrestart > /dev/null 2>&1 || :

%endif

%triggerpostun infosys-ldap -- nordugrid-arc-ldap-infosys
# Uninstalling the old nordugrid-arc-ldap-infosys will remove some selinux
# config for %{name}-infosys-ldap - put them back in this triggerpostun script
semanage port -a -t ldap_port_t -p tcp 2135 2>/dev/null || :
semanage fcontext -a -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :

%triggerpostun infosys-ldap -- nordugrid-arc-aris
# Uninstalling the old nordugrid-arc-aris will remove some selinux config
# for %{name}-infosys-ldap - put them back in this triggerpostun script
semanage fcontext -a -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
semanage fcontext -a -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :

%triggerpostun infosys-ldap -- nordugrid-arc-infosys-ldap
# Uninstalling the old nordugrid-arc-infosys-ldap will remove some selinux
# config for %{name}-infosys-ldap - put them back in this triggerpostun script
semanage port -a -t ldap_port_t -p tcp 2135 2>/dev/null || :
semanage fcontext -a -t slapd_etc_t "/var/run/arc/infosys/bdii-slapd\.conf" 2>/dev/null || :
semanage fcontext -a -t slapd_db_t "/var/lib/arc/bdii/db(/.*)?" 2>/dev/null || :
semanage fcontext -a -t slapd_var_run_t "/var/run/arc/bdii/db(/.*)?" 2>/dev/null || :

%endif

%if %{with_acix}

%if %{use_systemd}

%post acix-scanner
%systemd_post arc-acix-scanner.service

%preun acix-scanner
%systemd_preun arc-acix-scanner.service

%postun acix-scanner
%systemd_postun_with_restart arc-acix-scanner.service

%pre acix-scanner
%systemd_save_state arc-acix-scanner.service

%triggerin acix-scanner -- nordugrid-arc-acix-scanner
%systemd_pkg_namechange arc-acix-scanner.service

%posttrans acix-scanner
%systemd_restore_state arc-acix-scanner.service

%else

%post acix-scanner
/sbin/chkconfig --add arc-acix-scanner

%preun acix-scanner
if [ $1 -eq 0 ]; then
  service arc-acix-scanner stop > /dev/null 2>&1
  /sbin/chkconfig --del arc-acix-scanner
fi

%postun acix-scanner
if [ $1 -ge 1 ]; then
  service arc-acix-scanner condrestart > /dev/null 2>&1 || :
fi

%endif

%if %{use_systemd}

%post acix-index
%systemd_post arc-acix-index.service

%preun acix-index
%systemd_preun arc-acix-index.service

%postun acix-index
%systemd_postun_with_restart arc-acix-index.service

%pre acix-index
%systemd_save_state arc-acix-index.service

%triggerin acix-index -- nordugrid-arc-acix-index
%systemd_pkg_namechange arc-acix-index.service

%posttrans acix-index
%systemd_restore_state arc-acix-index.service

%else

%post acix-index
/sbin/chkconfig --add arc-acix-index

%preun acix-index
if [ $1 -eq 0 ]; then
  service arc-acix-index stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del arc-acix-index
fi

%postun acix-index
if [ $1 -ge 1 ]; then
  service arc-acix-index condrestart > /dev/null 2>&1 || :
fi

%endif

%endif

%triggerpostun arex -- nordugrid-arc-arex
# Uninstalling the old nordugrid-arc-arex will remove the test certificates
# for %{name}-arex - put them back in this triggerpostun script
arcctl test-ca init > /dev/null 2>&1 || :
arcctl test-ca hostcert > /dev/null 2>&1 || :

%files -f nordugrid-arc.lang
%doc src/doc/arc.conf.reference src/doc/arc.conf.DELETED src/doc/arc.conf.DELETED-6.8.0
%doc README AUTHORS
%license LICENSE NOTICE
%{_libdir}/libarccompute.so.*
%{_libdir}/libarccommunication.so.*
%{_libdir}/libarccommon.so.*
%{_libdir}/libarccredential.so.*
%{_libdir}/libarccredentialstore.so.*
%{_libdir}/libarccrypto.so.*
%{_libdir}/libarcdata.so.*
%{_libdir}/libarcdatastaging.so.*
%{_libdir}/libarcloader.so.*
%{_libdir}/libarcmessage.so.*
%{_libdir}/libarcsecurity.so.*
%{_libdir}/libarcotokens.so.*
%{_libdir}/libarcinfosys.so.*
%{_libdir}/libarcwsaddressing.so.*
%{_libdir}/libarcwssecurity.so.*
%if %{with_xmlsec1}
%{_libdir}/libarcxmlsec.so.*
%endif
%dir %{_libdir}/%{pkgdir}
# We need to have libmodcrypto.so close to libarccrypto
%{_libdir}/%{pkgdir}/libmodcrypto.so
%{_libdir}/%{pkgdir}/libmodcrypto.apd
# We need to have libmodcredential.so close to libarccredential
%{_libdir}/%{pkgdir}/libmodcredential.so
%{_libdir}/%{pkgdir}/libmodcredential.apd
%{_libdir}/%{pkgdir}/arc-file-access
%{_libdir}/%{pkgdir}/arc-hostname-resolver
%{_libdir}/%{pkgdir}/DataStagingDelivery
%{_libdir}/%{pkgdir}/arc-dmc
%dir %{_libexecdir}/%{pkgdir}
%{_libexecdir}/%{pkgdir}/arcconfig-parser
%if %{py3default}
%dir %{python3_sitearch}/%{pkgdir}
%{python3_sitearch}/%{pkgdir}/__init__.py
%{python3_sitearch}/%{pkgdir}/paths.py
%{python3_sitearch}/%{pkgdir}/paths_dist.py
%dir %{python3_sitearch}/%{pkgdir}/__pycache__
%{python3_sitearch}/%{pkgdir}/__pycache__/__init__.*
%{python3_sitearch}/%{pkgdir}/__pycache__/paths.*
%{python3_sitearch}/%{pkgdir}/__pycache__/paths_dist.*
%{python3_sitearch}/%{pkgdir}/utils
%else
%dir %{python2_sitearch}/%{pkgdir}
%{python2_sitearch}/%{pkgdir}/__init__.py*
%{python2_sitearch}/%{pkgdir}/paths.py*
%{python2_sitearch}/%{pkgdir}/paths_dist.py*
%{python2_sitearch}/%{pkgdir}/utils
%endif
%dir %{_datadir}/%{pkgdir}
%{_datadir}/%{pkgdir}/arc.parser.defaults
%dir %{_datadir}/%{pkgdir}/test-jobs
%{_datadir}/%{pkgdir}/test-jobs/test-job-*
%{_datadir}/%{pkgdir}/schema

%files client
%doc docdir/client.conf
%{_bindir}/arccat
%{_bindir}/arcclean
%{_bindir}/arccp
%{_bindir}/arcget
%{_bindir}/arcinfo
%{_bindir}/arckill
%{_bindir}/arcls
%{_bindir}/arcmkdir
%{_bindir}/arcrename
%{_bindir}/arcproxy
%{_bindir}/arcrenew
%{_bindir}/arcresub
%{_bindir}/arcresume
%{_bindir}/arcrm
%{_bindir}/arcstat
%{_bindir}/arcsub
%{_bindir}/arcsync
%{_bindir}/arctest
%dir %{_datadir}/%{pkgdir}/examples
%{_datadir}/%{pkgdir}/examples/client.conf
%dir %{_sysconfdir}/%{pkgdir}
%config(noreplace) %{_sysconfdir}/%{pkgdir}/client.conf
%doc %{_mandir}/man1/arccat.1*
%doc %{_mandir}/man1/arcclean.1*
%doc %{_mandir}/man1/arccp.1*
%doc %{_mandir}/man1/arcget.1*
%doc %{_mandir}/man1/arcinfo.1*
%doc %{_mandir}/man1/arckill.1*
%doc %{_mandir}/man1/arcls.1*
%doc %{_mandir}/man1/arcmkdir.1*
%doc %{_mandir}/man1/arcrename.1*
%doc %{_mandir}/man1/arcproxy.1*
%doc %{_mandir}/man1/arcrenew.1*
%doc %{_mandir}/man1/arcresub.1*
%doc %{_mandir}/man1/arcresume.1*
%doc %{_mandir}/man1/arcrm.1*
%doc %{_mandir}/man1/arcstat.1*
%doc %{_mandir}/man1/arcsub.1*
%doc %{_mandir}/man1/arcsync.1*
%doc %{_mandir}/man1/arctest.1*
%dir %{_bashcompdir}
%{_bashcompdir}/arc-client-tools

%files hed
%doc docdir/hed/*
%if %{use_systemd}
%{_unitdir}/arched.service
%else
%{_initrddir}/arched
%endif
%{_sbindir}/arched
%{_libdir}/%{pkgdir}/libecho.so
%{_libdir}/%{pkgdir}/libecho.apd
%{_datadir}/%{pkgdir}/arched-start
%{_datadir}/%{pkgdir}/profiles
%doc %{_mandir}/man8/arched.8*
%doc %{_mandir}/man5/arc.conf.5*

%files gridftpd
%if %{use_systemd}
%{_unitdir}/arc-gridftpd.service
%else
%{_initrddir}/arc-gridftpd
%endif
%{_sbindir}/gridftpd
%{_libdir}/%{pkgdir}/jobsplugin.*
%{_libdir}/%{pkgdir}/filedirplugin.*
%{_datadir}/%{pkgdir}/arc-gridftpd-start
%config(noreplace) %{_sysconfdir}/logrotate.d/nordugrid-arc-gridftpd
%doc %{_mandir}/man8/gridftpd.8*

%files datadelivery-service
%if %{use_systemd}
%{_unitdir}/arc-datadelivery-service.service
%else
%{_initrddir}/arc-datadelivery-service
%endif
%{_libdir}/%{pkgdir}/libdatadeliveryservice.so
%{_libdir}/%{pkgdir}/libdatadeliveryservice.apd
%{_datadir}/%{pkgdir}/arc-datadelivery-service-start
%config(noreplace) %{_sysconfdir}/logrotate.d/nordugrid-arc-datadelivery-service

%if %{with_ldap_service}
%files infosys-ldap
%if %{use_systemd}
%{_unitdir}/arc-infosys-ldap.service
%{_unitdir}/arc-infosys-ldap-slapd.service
%else
%{_initrddir}/arc-infosys-ldap
%endif
%{_datadir}/%{pkgdir}/create-bdii-config
%{_datadir}/%{pkgdir}/create-slapd-config
%{_datadir}/%{pkgdir}/glite-info-provider-ldap
%{_datadir}/%{pkgdir}/glue-generator.pl
%{_datadir}/%{pkgdir}/ldap-schema
%config(noreplace) %{_sysconfdir}/logrotate.d/nordugrid-arc-infosys-ldap
%endif

%files monitor
%{_datadir}/%{pkgdir}/monitor
%doc %{_mandir}/man7/monitor.7*

%files arcctl
%{_sbindir}/arcctl
%if %{py3default}
%dir %{python3_sitearch}/%{pkgdir}/control
%{python3_sitearch}/%{pkgdir}/control/__init__.py
%{python3_sitearch}/%{pkgdir}/control/CertificateGenerator.py
%{python3_sitearch}/%{pkgdir}/control/ControlCommon.py
%{python3_sitearch}/%{pkgdir}/control/OSPackage.py
%{python3_sitearch}/%{pkgdir}/control/TestCA.py
%{python3_sitearch}/%{pkgdir}/control/ThirdPartyDeployment.py
%dir %{python3_sitearch}/%{pkgdir}/control/__pycache__
%{python3_sitearch}/%{pkgdir}/control/__pycache__/__init__.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/CertificateGenerator.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/ControlCommon.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/OSPackage.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/TestCA.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/ThirdPartyDeployment.*
%else
%dir %{python2_sitearch}/%{pkgdir}/control
%{python2_sitearch}/%{pkgdir}/control/__init__.py*
%{python2_sitearch}/%{pkgdir}/control/CertificateGenerator.py*
%{python2_sitearch}/%{pkgdir}/control/ControlCommon.py*
%{python2_sitearch}/%{pkgdir}/control/OSPackage.py*
%{python2_sitearch}/%{pkgdir}/control/TestCA.py*
%{python2_sitearch}/%{pkgdir}/control/ThirdPartyDeployment.py*
%endif
%doc %{_mandir}/man1/arcctl.1*

%files arcctl-service
%if %{py3default}
%{python3_sitearch}/%{pkgdir}/control/Config.py
%{python3_sitearch}/%{pkgdir}/control/ServiceCommon.py
%{python3_sitearch}/%{pkgdir}/control/Services.py
%{python3_sitearch}/%{pkgdir}/control/OSService.py
%{python3_sitearch}/%{pkgdir}/control/Validator.py
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Config.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/ServiceCommon.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Services.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/OSService.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Validator.*
%else
%{python2_sitearch}/%{pkgdir}/control/Config.py*
%{python2_sitearch}/%{pkgdir}/control/ServiceCommon.py*
%{python2_sitearch}/%{pkgdir}/control/Services.py*
%{python2_sitearch}/%{pkgdir}/control/OSService.py*
%{python2_sitearch}/%{pkgdir}/control/Validator.py*
%endif

%files arex
%if %{use_systemd}
%{_unitdir}/arc-arex.service
%{_unitdir}/arc-arex-ws.service
%else
%{_initrddir}/arc-arex
%{_initrddir}/arc-arex-ws
%endif
%{_libexecdir}/%{pkgdir}/arc-blahp-logger
%{_libexecdir}/%{pkgdir}/arc-config-check
%{_libexecdir}/%{pkgdir}/cache-clean
%{_libexecdir}/%{pkgdir}/cache-list
%{_libexecdir}/%{pkgdir}/gm-delegations-converter
%{_libexecdir}/%{pkgdir}/gm-jobs
%{_libexecdir}/%{pkgdir}/gm-kick
%{_libexecdir}/%{pkgdir}/inputcheck
%{_libexecdir}/%{pkgdir}/jura-ng
%{_libexecdir}/%{pkgdir}/smtp-send
%{_libexecdir}/%{pkgdir}/smtp-send.sh
%{_datadir}/%{pkgdir}/cancel-*-job
%{_datadir}/%{pkgdir}/scan-*-job
%{_datadir}/%{pkgdir}/submit-*-job
%{_libdir}/%{pkgdir}/libarex.so
%{_libdir}/%{pkgdir}/libarex.apd
%{_libdir}/%{pkgdir}/libcandypond.so
%{_libdir}/%{pkgdir}/libcandypond.apd
%{_datadir}/%{pkgdir}/CEinfo.pl
%{_datadir}/%{pkgdir}/ARC0mod.pm
%{_datadir}/%{pkgdir}/FORKmod.pm
%{_datadir}/%{pkgdir}/Fork.pm
%{_datadir}/%{pkgdir}/SGEmod.pm
%{_datadir}/%{pkgdir}/SGE.pm
%{_datadir}/%{pkgdir}/LL.pm
%{_datadir}/%{pkgdir}/LSF.pm
%{_datadir}/%{pkgdir}/PBS.pm
%{_datadir}/%{pkgdir}/PBSPRO.pm
%{_datadir}/%{pkgdir}/Condor.pm
%{_datadir}/%{pkgdir}/SLURMmod.pm
%{_datadir}/%{pkgdir}/SLURM.pm
%{_datadir}/%{pkgdir}/Boinc.pm
%{_datadir}/%{pkgdir}/XmlPrinter.pm
%{_datadir}/%{pkgdir}/InfosysHelper.pm
%{_datadir}/%{pkgdir}/LdifPrinter.pm
%{_datadir}/%{pkgdir}/GLUE2xmlPrinter.pm
%{_datadir}/%{pkgdir}/GLUE2ldifPrinter.pm
%{_datadir}/%{pkgdir}/NGldifPrinter.pm
%{_datadir}/%{pkgdir}/ARC0ClusterInfo.pm
%{_datadir}/%{pkgdir}/ARC1ClusterInfo.pm
%{_datadir}/%{pkgdir}/ConfigCentral.pm
%{_datadir}/%{pkgdir}/GMJobsInfo.pm
%{_datadir}/%{pkgdir}/HostInfo.pm
%{_datadir}/%{pkgdir}/RTEInfo.pm
%{_datadir}/%{pkgdir}/InfoChecker.pm
%{_datadir}/%{pkgdir}/IniParser.pm
%{_datadir}/%{pkgdir}/LRMSInfo.pm
%{_datadir}/%{pkgdir}/Sysinfo.pm
%{_datadir}/%{pkgdir}/LogUtils.pm
%{_datadir}/%{pkgdir}/condor_env.pm
%{_datadir}/%{pkgdir}/cancel_common.sh
%{_datadir}/%{pkgdir}/configure-*-env.sh
%{_datadir}/%{pkgdir}/submit_common.sh
%{_datadir}/%{pkgdir}/scan_common.sh
%{_datadir}/%{pkgdir}/lrms_common.sh
%{_datadir}/%{pkgdir}/perferator
%{_datadir}/%{pkgdir}/PerfData.pl
%{_datadir}/%{pkgdir}/arc-arex-start
%{_datadir}/%{pkgdir}/arc-arex-ws-start
%dir %{_datadir}/%{pkgdir}/sql-schema
%{_datadir}/%{pkgdir}/sql-schema/arex_accounting_db_schema_v1.sql
%doc %{_mandir}/man1/arc-config-check.1*
%doc %{_mandir}/man1/cache-clean.1*
%doc %{_mandir}/man1/cache-list.1*
%doc %{_mandir}/man8/a-rex-backtrace-collect.8*
%doc %{_mandir}/man8/arc-blahp-logger.8*
%doc %{_mandir}/man8/gm-delegations-converter.8*
%doc %{_mandir}/man8/gm-jobs.8*
%config(noreplace) %{_sysconfdir}/logrotate.d/nordugrid-arc-arex
%dir %{_localstatedir}/log/arc
%dir %{_localstatedir}/spool/arc
%dir %{_localstatedir}/spool/arc/ssm
%dir %{_localstatedir}/spool/arc/urs
%if %{py3default}
%{python3_sitearch}/%{pkgdir}/control/AccountingDB.py
%{python3_sitearch}/%{pkgdir}/control/AccountingPublishing.py
%{python3_sitearch}/%{pkgdir}/control/Accounting.py
%{python3_sitearch}/%{pkgdir}/control/Cache.py
%{python3_sitearch}/%{pkgdir}/control/DataStaging.py
%{python3_sitearch}/%{pkgdir}/control/Jobs.py
%{python3_sitearch}/%{pkgdir}/control/RunTimeEnvironment.py
%{python3_sitearch}/%{pkgdir}/control/__pycache__/AccountingDB.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/AccountingPublishing.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Accounting.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Cache.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/DataStaging.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/Jobs.*
%{python3_sitearch}/%{pkgdir}/control/__pycache__/RunTimeEnvironment.*
%else
%{python2_sitearch}/%{pkgdir}/control/AccountingDB.py*
%{python2_sitearch}/%{pkgdir}/control/AccountingPublishing.py*
%{python2_sitearch}/%{pkgdir}/control/Accounting.py*
%{python2_sitearch}/%{pkgdir}/control/Cache.py*
%{python2_sitearch}/%{pkgdir}/control/DataStaging.py*
%{python2_sitearch}/%{pkgdir}/control/Jobs.py*
%{python2_sitearch}/%{pkgdir}/control/RunTimeEnvironment.py*
%endif
%{_libexecdir}/%{pkgdir}/arccandypond
%dir %{_datadir}/%{pkgdir}/rte
%dir %{_datadir}/%{pkgdir}/rte/ENV
%{_datadir}/%{pkgdir}/rte/ENV/LRMS-SCRATCH
%{_datadir}/%{pkgdir}/rte/ENV/PROXY
%{_datadir}/%{pkgdir}/rte/ENV/RTE
%{_datadir}/%{pkgdir}/rte/ENV/CANDYPOND
%{_datadir}/%{pkgdir}/rte/ENV/SINGULARITY
%dir %{_datadir}/%{pkgdir}/rte/ENV/CONDOR
%{_datadir}/%{pkgdir}/rte/ENV/CONDOR/DOCKER
%{_sbindir}/a-rex-backtrace-collect
%config(noreplace) %{_sysconfdir}/arc.conf

%if %{with_pythonlrms}
%files arex-python-lrms
%{_libexecdir}/%{pkgdir}/arc-sshfs-mount
%if %{py3default}
%{python3_sitearch}/%{pkgdir}/lrms
%else
%{python2_sitearch}/%{pkgdir}/lrms
%endif
%{_datadir}/%{pkgdir}/SLURMPYmod.pm
%{_datadir}/%{pkgdir}/job_script.stubs
%endif

%files community-rtes
%{_datadir}/%{pkgdir}/community_rtes.sh
%if %{py3default}
%{python3_sitearch}/%{pkgdir}/control/CommunityRTE.py
%{python3_sitearch}/%{pkgdir}/control/__pycache__/CommunityRTE.*
%else
%{python2_sitearch}/%{pkgdir}/control/CommunityRTE.py*
%endif

%files plugins-needed
%dir %{_libdir}/%{pkgdir}/test
%{_libdir}/%{pkgdir}/test/libaccTEST.so
%{_libdir}/%{pkgdir}/test/libaccTEST.apd
%if %{with_ldns}
%{_libdir}/%{pkgdir}/libaccARCHERY.so
%endif
%{_libdir}/%{pkgdir}/libaccBroker.so
%{_libdir}/%{pkgdir}/libaccEMIES.so
%{_libdir}/%{pkgdir}/libaccJobDescriptionParser.so
%{_libdir}/%{pkgdir}/libaccLDAP.so
%{_libdir}/%{pkgdir}/libarcshc.so
%{_libdir}/%{pkgdir}/libarcshclegacy.so
%{_libdir}/%{pkgdir}/libarcshcotokens.so
%{_libdir}/%{pkgdir}/libdmcfile.so
%{_libdir}/%{pkgdir}/libdmchttp.so
%{_libdir}/%{pkgdir}/libdmcldap.so
%{_libdir}/%{pkgdir}/libdmcsrm.so
%{_libdir}/%{pkgdir}/libdmcrucio.so
%{_libdir}/%{pkgdir}/libdmcacix.so
%{_libdir}/%{pkgdir}/libidentitymap.so
%{_libdir}/%{pkgdir}/libarguspdpclient.so
%{_libdir}/%{pkgdir}/libmcchttp.so
%{_libdir}/%{pkgdir}/libmccmsgvalidator.so
%{_libdir}/%{pkgdir}/libmccsoap.so
%{_libdir}/%{pkgdir}/libmcctcp.so
%{_libdir}/%{pkgdir}/libmcctls.so
%if %{with_ldns}
%{_libdir}/%{pkgdir}/libaccARCHERY.apd
%endif
%{_libdir}/%{pkgdir}/libaccBroker.apd
%{_libdir}/%{pkgdir}/libaccEMIES.apd
%{_libdir}/%{pkgdir}/libaccJobDescriptionParser.apd
%{_libdir}/%{pkgdir}/libaccLDAP.apd
%{_libdir}/%{pkgdir}/libarcshc.apd
%{_libdir}/%{pkgdir}/libarcshclegacy.apd
%{_libdir}/%{pkgdir}/libarcshcotokens.apd
%{_libdir}/%{pkgdir}/libdmcfile.apd
%{_libdir}/%{pkgdir}/libdmchttp.apd
%{_libdir}/%{pkgdir}/libdmcldap.apd
%{_libdir}/%{pkgdir}/libdmcsrm.apd
%{_libdir}/%{pkgdir}/libdmcrucio.apd
%{_libdir}/%{pkgdir}/libdmcacix.apd
%{_libdir}/%{pkgdir}/libidentitymap.apd
%{_libdir}/%{pkgdir}/libarguspdpclient.apd
%{_libdir}/%{pkgdir}/libmcchttp.apd
%{_libdir}/%{pkgdir}/libmccmsgvalidator.apd
%{_libdir}/%{pkgdir}/libmccsoap.apd
%{_libdir}/%{pkgdir}/libmcctcp.apd
%{_libdir}/%{pkgdir}/libmcctls.apd

%files plugins-globus

%files plugins-globus-common
%{_libdir}/libarcglobusutils.so.*

%files plugins-gridftp
%{_libdir}/%{pkgdir}/arc-dmcgridftp
%{_libdir}/%{pkgdir}/libdmcgridftpdeleg.so
%{_libdir}/%{pkgdir}/libdmcgridftpdeleg.apd

%files plugins-lcas-lcmaps
%{_libexecdir}/%{pkgdir}/arc-lcas
%{_libexecdir}/%{pkgdir}/arc-lcmaps

%files plugins-gridftpjob
%{_libdir}/%{pkgdir}/libaccGRIDFTPJOB.so
%{_libdir}/%{pkgdir}/libaccGRIDFTPJOB.apd

%if %{with_xrootd}
%files plugins-xrootd
%dir %{_libdir}/%{pkgdir}/external
%{_libdir}/%{pkgdir}/external/libdmcxrootd.so
%{_libdir}/%{pkgdir}/external/libdmcxrootd.apd
%{_libdir}/%{pkgdir}/libdmcxrootddeleg.so
%{_libdir}/%{pkgdir}/libdmcxrootddeleg.apd
%endif

%if %{with_gfal}
%files plugins-gfal
%dir %{_libdir}/%{pkgdir}/external
%{_libdir}/%{pkgdir}/external/libdmcgfal.so
%{_libdir}/%{pkgdir}/external/libdmcgfal.apd
%{_libdir}/%{pkgdir}/libdmcgfaldeleg.so
%{_libdir}/%{pkgdir}/libdmcgfaldeleg.apd
%endif

%if %{with_s3}
%files plugins-s3
%{_libdir}/%{pkgdir}/libdmcs3.so
%{_libdir}/%{pkgdir}/libdmcs3.apd
%endif

%files plugins-internal
%{_libdir}/%{pkgdir}/libaccINTERNAL.so
%{_libdir}/%{pkgdir}/libaccINTERNAL.apd

%files plugins-arcrest
%{_libdir}/%{pkgdir}/libaccARCREST.so
%{_libdir}/%{pkgdir}/libaccARCREST.apd

%files plugins-python
%doc docdir/python/*
%{_libdir}/%{pkgdir}/libaccPythonBroker.so
%{_libdir}/%{pkgdir}/libaccPythonBroker.apd
%{_libdir}/%{pkgdir}/libpythonservice.so
%{_libdir}/%{pkgdir}/libpythonservice.apd

%if %{with_acix}
%files acix-core
%if %{py3default}
%dir %{python3_sitelib}/acix
%{python3_sitelib}/acix/__init__.py
%dir %{python3_sitelib}/acix/__pycache__
%{python3_sitelib}/acix/__pycache__/__init__.*
%{python3_sitelib}/acix/core
%else
%dir %{python2_sitelib}/acix
%{python2_sitelib}/acix/__init__.py*
%{python2_sitelib}/acix/core
%endif

%files acix-scanner
%if %{py3default}
%{python3_sitelib}/acix/scanner
%else
%{python2_sitelib}/acix/scanner
%endif
%if %{use_systemd}
%{_unitdir}/arc-acix-scanner.service
%else
%{_initrddir}/arc-acix-scanner
%endif
%{_datadir}/%{pkgdir}/arc-acix-scanner-start

%files acix-index
%if %{py3default}
%{python3_sitelib}/acix/indexserver
%else
%{python2_sitelib}/acix/indexserver
%endif
%if %{use_systemd}
%{_unitdir}/arc-acix-index.service
%else
%{_initrddir}/arc-acix-index
%endif
%{_datadir}/%{pkgdir}/arc-acix-index-start
%endif

%files devel
%doc docdir/devel/* src/hed/shc/arcpdp/*.xsd
%{_includedir}/%{pkgdir}
%{_libdir}/lib*.so
%{_bindir}/wsdl2hed
%doc %{_mandir}/man1/wsdl2hed.1*
%{_bindir}/arcplugin
%doc %{_mandir}/man1/arcplugin.1*

%if %{with_python2}
%files -n python2-%{name}
%{python2_sitearch}/_arc.*so
%if %{py3default}
%dir %{python2_sitearch}/%{pkgdir}
%{python2_sitearch}/%{pkgdir}/__init__.py*
%endif
%{python2_sitearch}/%{pkgdir}/[^_p]*.py*
%endif

%if %{with_python3}
%files -n python%{python3_pkgversion}-%{name}
%{python3_sitearch}/_arc.*so
%if ! %{py3default}
%dir %{python3_sitearch}/%{pkgdir}
%{python3_sitearch}/%{pkgdir}/__init__.py
%dir %{python3_sitearch}/%{pkgdir}/__pycache__
%{python3_sitearch}/%{pkgdir}/__pycache__/__init__.*
%endif
%{python3_sitearch}/%{pkgdir}/[^_p]*.py
%{python3_sitearch}/%{pkgdir}/__pycache__/[^_p]*.*
%endif

%files nordugridmap
%{_sbindir}/nordugridmap
%config(noreplace) %{_sysconfdir}/cron.d/nordugridmap
%doc %{_mandir}/man8/nordugridmap.8*

%files test-utils
%{_bindir}/arcemiestest
%{_bindir}/arcperftest
%doc %{_mandir}/man1/arcemiestest.1*
%doc %{_mandir}/man1/arcperftest.1*

%files archery-manage
%{_sbindir}/archery-manage

%files wn
%attr(4755,root,root) %{_bindir}/arc-job-cgroup

%changelog
* Tue Aug 13 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.20.1-3
- Correct typo in Provides (missing hyphen)

* Sun Jul 14 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.20.1-2
- Add unversioned provides to help third party repos

* Mon Jul 08 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.20.1-1
- Update to version 6.20.1

* Wed Jul 03 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.20.0-1
- Update to version 6.20.0
- Drop EPEL 7 support from spec file (EOL)

* Tue May 14 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.19.0-2
- Use versioned package names in EPEL 8 and 9

* Sun Apr 14 2024 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.19.0-1
- Update to version 6.19.0

* Wed Oct 25 2023 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.18.0-1
- Update to version 6.18.0
- Run autoreconf during build (following upstream)

* Thu Nov 24 2022 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.17.0-1
- Update to version 6.17.0

* Fri Sep 23 2022 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.16.1-1
- Update to version 6.16.1

* Sat Sep 03 2022 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.16.0-1
- Update to version 6.16.0

* Mon Apr 04 2022 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.15.1-1
- Update to version 6.15.1

* Fri Mar 18 2022 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.15.0-1
- Update to version 6.15.0

* Sat Dec 04 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.14.0-1
- Update to version 6.14.0

* Thu Sep 16 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.13.0-1
- Update to version 6.13.0

* Mon Jun 07 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.12.0-1
- Update to version 6.12.0

* Sat Apr 24 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.11.0-1
- Update to version 6.11.0

* Fri Mar 12 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.10.2-2
- Revert the hash change (at upstream's request)

* Wed Feb 24 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.10.2-1
- Update to version 6.10.2

* Mon Feb 15 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.10.1-1
- Update to version 6.10.1

* Wed Feb 10 2021 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.10.0-1
- Update to version 6.10.0
- Drop RHEL6 support from spec file (EOL)

* Fri Dec 04 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.9.0-1
- Update to version 6.9.0
- Don't force C++14. Code now compiles with C++17.

* Mon Oct 12 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.8.1-1
- Update to version 6.8.1
- Drop patch nordugrid-arc-xrootd5.patch

* Fri Aug 28 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.7.0-2
- xrootd 5 compatibility

* Fri Jul 03 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.7.0-1
- Update to version 6.7.0

* Mon Apr 27 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.6.0-1
- Update to version 6.6.0
- Split out package arcctl-service package from arcctl package
- Split out plugins-python from main ARC python module pacakage

* Tue Feb 18 2020 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.5.0-1
- Update to version 6.5.0
- Put the arcctl tool in a separate nordugrid-arc-arcctl package
- Add nordugrid-arc-community-rtes package (tech preview)
- Split the nordugrid-arc-plugins-globus package into several packages
  - nordugrid-arc-plugins-globus-common
  - nordugrid-arc-plugins-gridftp
  - nordugrid-arc-plugins-lcas-lcmaps
  - nordugrid-arc-plugins-gridftpjob

* Sun Dec 01 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.4.1-1
- Update to version 6.4.1

* Mon Nov 18 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.4.0-1
- Update to version 6.4.0

* Thu Oct 17 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.3.0-1
- Update to version 6.3.0

* Sun Sep 01 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.2.0-1
- Update to version 6.2.0

* Fri Jun 28 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.1.0-1
- Update to version 6.1.0

* Mon Jun 03 2019 Mattias Ellert <mattias.ellert@physics.uu.se> - 6.0.0-1
- ARC version 6 packaged for EPEL with a different package name
- Based on the Fedora rawhide package
- These packages declare conflicts with the ARC version 5 packages
